--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Matches any whitespace (including newline) and replaces with a single space
- !ruby/struct:SM::Flow::P 
  body: "@example"
- !ruby/struct:SM::Flow::VERB 
  body: "  &lt;&lt;-QUERY.compress_lines\n    SELECT name\n    FROM users\n  QUERY\n  =&gt; &quot;SELECT name FROM users&quot;\n"
full_name: String#compress_lines
is_singleton: false
name: compress_lines
params: (spaced = true)
visibility: public
